Bug 1070230 - Review Request: python-django15 - A high-level Python Web framework
Summary: Review Request: python-django15 - A high-level Python Web framework
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lars Kellogg-Stedman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-26 12:48 UTC by Matthias Runge
Modified: 2014-04-09 01:04 UTC (History)
2 users (show)

Fixed In Version: python-django15-1.5.5-7.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-09 01:04:06 UTC
Type: ---
lars: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Comment (568.71 KB, text/plain)
2014-03-04 22:54 UTC, Lars Kellogg-Stedman
no flags Details

Description Matthias Runge 2014-02-26 12:48:26 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-django15.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-django15-1.5.5-3.fc20.src.rpm

Description: Django is a high-level Python Web framework that encourages rapid
development and a clean, pragmatic design. It focuses on automating as
much as possible and adhering to the DRY (Don't Repeat Yourself)
principle.

Fedora Account System Username: mrunge

This is a version installable in parallel aside a newer/updated version. This is intended for rawhide and epel6+. Thus, rules for package renaming will apply here as well.

Comment 1 Lars Kellogg-Stedman 2014-03-04 22:54:22 UTC
Created attachment 915860 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).

Comment 2 Matthias Runge 2014-03-05 12:52:16 UTC
Lars, thank you for your review!it's really appreciated and this one is a tough one!

First of all, I'm very sorry,I should have provided a matching spec file to the
srpm!

Addressing the issues:

- I simply forgot to own %{python3_sitelib}/Django-%{version}-py?.?.egg/
(fixed)

- how to test: 
from pkg_resources import require
require("Django >=1.5")
import django
print django.VERSION
(or so)

from http://fedoraproject.org/wiki/Packaging:Python_Eggs#Multiple_Versions
"It is highly recommended that any such compatibility packages install a README.fedora file explaining how to use this module. "
(fixed)

- {__python} vs. {__python2}: I added a macro to the top:
%{!?__python2:%global __python2 %{__python}} (to make __python2 run on rhel6
and changed __python to __python2

- I know about all those duplicate files. those are language files. When not
listing them, it saves about 200 lines (or so) in the spec file. Will add them back.

- the bundled eggs are (currently) required for tests. Will remove them, or will take care not to distribute them in the RPM.

Comment 3 Matthias Runge 2014-03-06 09:13:36 UTC
- bundled eggs are used for tests, but not distributed in rpm.
- Docs require base package to be installed (though forcing License to be installed)

SPEC: http://www.matthias-runge.de/fedora/python-django15.spec
SRPM: http://www.matthias-runge.de/fedora/python-django15-1.5.5-4.fc20.src.rpm

Comment 4 Lars Kellogg-Stedman 2014-03-06 14:38:46 UTC
Matthias,

Thanks for the updated packages; I'm checking them out right now.  I
still have a question about how these packages are supposed to work
with existing Django applications:

For example, the package "darkserver" requires "Django":

    $ rpm -q --requires darkserver
    /usr/bin/python
    Django
    config(darkserver) = 0.5.4-3.fc19
    httpd
    koji
    mod_wsgi
    mysql
    python(abi) = 2.7
    rpmlib(CompressedFileNames) <= 3.0.4-1
    rpmlib(FileDigests) <= 4.6.0-1
    rpmlib(PartialHardlinkSets) <= 4.0.4-1
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1
    rpmlib(PayloadIsXz) <= 5.2-1

"Django" is provided by your python-django15 package:

    $ rpm -q --provides python-django15
    Django = 1.5.5-3.fc19
    config(python-django15) = 1.5.5-3.fc19
    django = 1.5.5-3.fc19
    python-django15 = 1.5.5-3.fc19

But when you install darkserver it will fail to run because it can't
import the "django" module:

    mod_wsgi (pid=21157): Target WSGI script '/usr/sbin/darkserver.wsgi' cannot be loaded as Python module.
    mod_wsgi (pid=21157): Exception occurred processing WSGI script '/usr/sbin/darkserver.wsgi'.
    Traceback (most recent call last):
      File "/usr/sbin/darkserver.wsgi", line 7, in <module>
        import django.core.handlers.wsgi
    ImportError: No module named django.core.handlers.wsgi

I just picked this package as an example after running "repoquery
--whatrequires Django"; there are several other matching packages.

Comment 5 Lars Kellogg-Stedman 2014-03-06 15:20:41 UTC
Running fedora-review on the new package results in pages of:

    [!]: Package requires other packages for directories it uses.
         Note: No known owner of /usr/lib/python3.3/site-packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/fi/LC_MESSAGES,
         /usr/lib/python3.3/site-packages/Django-1.5.5-py3.3.egg,
         /usr/lib/python3.3/site-packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/ro/LC_MESSAGES,
         /usr/lib/python3.3/site-packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/el,
         /usr/lib/python3.3/site-packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/en,
         ...

Why not just have the package own .../site-packages/Django-1.5.5-py3.3.egg and .../site-packages/Django-1.5.5-py2.7.egg?

Comment 6 Matthias Runge 2014-03-06 16:03:30 UTC
Ah yes, you're right. I need to remove Django from provides.

For darkserver to use this package, we'd need to change darkserver a bit to
be able to pick up this parallel installable version.

Regarding:

Why not just have the package own .../site-packages/Django-1.5.5-py3.3.egg and .../site-packages/Django-1.5.5-py2.7.egg?

When I just do that (instead of using this insane long file list), I'll end up with listing the locale files twice.

Comment 7 Matthias Runge 2014-03-07 12:08:00 UTC
Updated 
SPEC: http://www.matthias-runge.de/fedora/python-django15.spec
SRPM: http://www.matthias-runge.de/fedora/python-django15-1.5.5-5.fc20.src.rpm

- fixed docs build on rawhide (due an updted sphinx version
- dropped obsoletes/provides
- owned directories missing

Comment 8 Lars Kellogg-Stedman 2014-03-08 02:24:10 UTC
Matthias,

You're going to hate me, but this package still results in a bunch of unowned directory errors:

[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/en_GB,
     /usr/lib/python3.3/site-packages/Django-1.5.5-py3.3.egg,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/zh_TW/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/es_MX/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/admin/locale/udm,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/en_GB/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/sr_Latn,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/admindocs/locale/udm,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/pt_BR,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/fy_NL/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/zh_TW,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/zh_CN,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/es_AR,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/fy_NL,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/zh_CN/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/es_MX,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/pt_BR/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/flatpages/locale/udm,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/es_AR/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/conf/locale/__pycache__,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/conf/locale/udm,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/sr_Latn/LC_MESSAGES
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/en,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/eo,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/el,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/en_GB,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/sl/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ar/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/sr_Latn,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/et,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/eu,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/eu/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/es,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/mk/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ja/LC_MESSAGES,
     /usr/lib/python3.3/site-packages/Django-1.5.5-py3.3.egg,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/nl,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/nb,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/zh_CN/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/is/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/admin/locale/udm,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/bs/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/da,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/es/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/de,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/uk,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/es_AR/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/fy_NL/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/conf/locale/udm,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/fi/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/zh_TW/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/tr,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/es_MX,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/fy_NL,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/gl/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/mn,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/zh_CN/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/mk,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ka,
     /usr/lib/python2.7/site-packages/Django-1.5.5-py2.7.egg,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/zh_TW,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ko,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/eo/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/cs,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/th,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/te,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ca,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/lt,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/lv,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/en/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/nb/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/zh_TW/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ga/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/nn/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ia/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ja,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ru/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ca/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/bs,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/br,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/bn,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/he/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/bg,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/be,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/pt/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/pa/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/sl,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/es_AR,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/uk/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/sk,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/es_MX/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/lt/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/admin/locale/udm,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/el/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/en_GB/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/id/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/sv,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/sw,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/vi,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/sr,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/az,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/pt_BR/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/admindocs/locale/udm,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/id,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ar,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/sv/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/is,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/zh_CN,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/it,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/nl/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/vi/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/sr_Latn/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/fi,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ro,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/flatpages/locale/udm,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/it/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/lv/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/et/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/sr_Latn,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/flatpages/locale/udm,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/en_GB,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/cs/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/es_AR,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/hu/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/es_AR/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ru,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/nn,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/bg/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/tr/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/pt_BR,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/admindocs/locale/udm,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/hi/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/mn/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/be/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ko/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/pt_BR,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/es_MX/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/te/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/sw/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/bn/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/fy_NL/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/zh_TW,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/sr/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ga,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/zh_CN,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ia,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/gl,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/pt_BR/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/en_GB/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/hu,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/pl,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/az/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/hr,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/pt,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ka/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/hi,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/conf/locale/__pycache__,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/he,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/th/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/fr,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/de/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/es_MX,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/ro/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/fr/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/hr/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/fa,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/da/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/conf/locale/udm,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/pl/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/fy_NL,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/pa,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/br/LC_MESSAGES,
     /usr/lib/python3.3/site-
     packages/Django-1.5.5-py3.3.egg/django/contrib/localflavor/locale/sr_Latn/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/fa/LC_MESSAGES,
     /usr/lib/python2.7/site-
     packages/Django-1.5.5-py2.7.egg/django/contrib/localflavor/locale/sk/LC_MESSAGES

And there are of course about 4000 of these errors:

    python-django15.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/Django-1.5.5-py2.7.egg/django/template/__init__.py

...I see that there a pair of find statements in the spec file that attempt to resolve this, but there's a problem; the wildcard is unquoted, so this:

    find %{buildroot}%{python_sitelib} -name *.py -exec chmod ugo-x {} \;

becomes:

    find %{buildroot}%{python_sitelib} -name setup.py -exec chmod ugo-x {} \;

Quoting the pattern (-name "*.py") solves this problem.

Comment 9 Lars Kellogg-Stedman 2014-03-08 13:24:01 UTC
Matthias,

I've put a modified spec file here:

- https://gist.github.com/larsks/9430481

This dramatically reduces the complexity of the %files sections by
moving all the locale files into a -locale subpackage, which lets us
make much better use of wildcards and the %exclude option.

This spec file also tries to fix permissions as correctly as possible without too much special-casing.

Take a look and tell me what you think.

With this spec file, the only errors from rpmlint are:

    python-django15.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/Django-1.5.5-py2.7.egg/django/bin/profiling/gather_profile_stats.py
    python-django15.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/Django-1.5.5-py2.7.egg/django/bin/profiling/__init__.py
    python3-django15.noarch: E: script-without-shebang /usr/lib/python3.3/site-packages/Django-1.5.5-py3.3.egg/django/bin/profiling/gather_profile_stats.py
    python3-django15.noarch: E: script-without-shebang /usr/lib/python3.3/site-packages/Django-1.5.5-py3.3.egg/django/contrib/admin/bin/compress.py
    python3-django15.noarch: E: script-without-shebang /usr/lib/python3.3/site-packages/Django-1.5.5-py3.3.egg/django/bin/profiling/__init__.py


...and this is largely because Django's file organization is insane,
so I'm inclined to ignore these last few items.

Comment 10 Matthias Runge 2014-03-11 08:42:22 UTC
Lars, thank you for your proposal.

Sadly, this doesn't seem to work (excluding, including later): this leeds to many messages like:
warning: File listed twice: /usr/lib/python2.7/site-packages/Django-1.5.5-py2.7.egg/django/contrib/sites/locale/zh_CN/LC_MESSAGES/django.mo
or:
python-django15.noarch: W: file-not-in-%lang /usr/lib/python2.7/site-packages/Django-1.5.5-py2.7.egg/django/contrib/admin/locale/udm/LC_MESSAGES/django.mo

I'd appreciate to make the files section smaller and cleaner. Sadly. I haven't found a solution, to make this happen :-(


Thus, I updated my old spec and SRPM, and finally fixed all unowned dirs and files. I fixed that RPMlint compress issue as well.

SPEC: http://www.matthias-runge.de/fedora/python-django15.spec
SRPM: http://www.matthias-runge.de/fedora/python-django15-1.5.5-6.fc20.src.rpm

Comment 11 Lars Kellogg-Stedman 2014-03-14 11:43:01 UTC
This latest spec file seems to resolve all the directory ownership issues, but you still need to fix the quoting on your find statements (bottom of comment #8).  With that in place we should be all set :).

Comment 12 Matthias Runge 2014-03-17 12:20:07 UTC
(In reply to Lars Kellogg-Stedman from comment #11)
> This latest spec file seems to resolve all the directory ownership issues,
> but you still need to fix the quoting on your find statements (bottom of
> comment #8).  With that in place we should be all set :).

Ah, sorry, I forgot that.

After removing that, I ran rpmlint again on the files:
[mrunge@sofja SPECS (master)]$ rpmlint ./python-django15.spec /home/mrunge/rpmbuild/SRPMS/python-django15-1.5.5-7.fc20.src.rpm /home/mrunge/rpmbuild/RPMS/noarch/python-django15-1.5.5-7.fc20.noarch.rpm /home/mrunge/rpmbuild/RPMS/noarch/python-django15-doc-1.5.5-7.fc20.noarch.rpm /home/mrunge/rpmbuild/RPMS/noarch/python3-django15-doc-1.5.5-7.fc20.noarch.rpm /home/mrunge/rpmbuild/RPMS/noarch/python3-django15-1.5.5-7.fc20.noarch.rpm
./python-django15.spec:210: W: macro-in-comment %{__python3}
python-django15.src: W: spelling-error %description -l en_US Django -> Fandango
python-django15.src:210: W: macro-in-comment %{__python3}
python-django15.noarch: W: spelling-error %description -l en_US Django -> Fandango
python3-django15.noarch: W: spelling-error %description -l en_US Django -> Fandango
5 packages and 1 specfiles checked; 0 errors, 5 warnings.

Spelling issues are clear, and Macro in comment issue: I left out running checks, line 210 (was at that time, now 204) 

%{__python3} runtests.py --settings=test_sqlite --verbosity=2


Updated 
SPEC: http://www.matthias-runge.de/fedora/python-django15.spec
SRPM: http://www.matthias-runge.de/fedora/python-django15-1.5.5-7.fc20.src.rpm

Comment 13 Lars Kellogg-Stedman 2014-03-17 18:42:29 UTC
Those errors may have been...erroneous.  I fixed my broken rawhide mock config,
so I can build against rawhide, and I'm not seeing those shebang errors
anymore. I'm declaring this all set.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Binary eggs must be removed in %prep
  Note: Binary egg files not removed in %prep:
  ./tests/regressiontests/utils/eggs/test_egg.egg
  ./tests/regressiontests/templates/eggs/tagsegg.egg
  ./tests/regressiontests/app_loading/eggs/nomodelapp.egg
  ./tests/regressiontests/app_loading/eggs/modelapp.egg
  ./tests/regressiontests/app_loading/eggs/brokenapp.egg
  ./tests/regressiontests/app_loading/eggs/omelet.egg
  See:
  http://fedoraproject.org/wiki/Packaging:Python#Packaging_eggs_and_setuptools_concerns


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "PSF (v2)", "Apache (v2.0)", "Unknown or
     generated", "BSD (3 clause)". 1416 files have unknown license. Detailed
     output of licensecheck in /home/lkellogg/tmp/python-
     django15/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /etc/bash_completion.d(be,
     python-django, git, lldpad, rpmdevtools, fcoe-utils, mercurial, stgit,
     fedpkg, python-novaclient, yum-utils, tuned, python-django15, bash-
     completion, filesystem, python3-django15, python-neutronclient, rhpkg,
     mock, bzr)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 81920 bytes in 10 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-django15-doc , python3-django15
[x]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-django15-1.5.5-7.fc21.noarch.rpm
          python-django15-doc-1.5.5-7.fc21.noarch.rpm
          python3-django15-doc-1.5.5-7.fc21.noarch.rpm
          python3-django15-1.5.5-7.fc21.noarch.rpm
          python-django15-1.5.5-7.fc21.src.rpm
python-django15.noarch: W: spelling-error %description -l en_US Django -> Fandango
python-django15-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-django15-doc/_static/jquery.js
python3-django15-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python3-django15-doc/_static/jquery.js
python3-django15.noarch: W: spelling-error %description -l en_US Django -> Fandango
python-django15.src: W: spelling-error %description -l en_US Django -> Fandango
5 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python3-django15-doc python3-django15 python-django15-doc python-djan 
go15
python3-django15-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python3-django15-doc/_static/jquery.js
python3-django15.noarch: W: spelling-error %description -l en_US Django -> Fandango
python-django15-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-django15-doc/_static/jquery.js
python-django15.noarch: W: spelling-error %description -l en_US Django -> Fandango
4 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
python3-django15-doc (rpmlib, GLIBC filtered):
    python3-django15

python3-django15 (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python3
    bash-completion
    config(python3-django15)
    python(abi)
    python3

python-django15-doc (rpmlib, GLIBC filtered):
    python-django15

python-django15 (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/python
    /usr/bin/python2
    bash-completion
    config(python-django15)
    python(abi)
    python-setuptools



Provides
--------
python3-django15-doc:
    python3-django15-doc

python3-django15:
    config(python3-django15)
    python3-django15

python-django15-doc:
    python-django15-doc

python-django15:
    config(python-django15)
    python-django15



Source checksums
----------------
http://pypi.python.org/packages/source/D/Django/Django-1.5.5.tar.gz :
  CHECKSUM(SHA256) this package     : 6ae69c1dfbfc9d0c44ae80e2fbe48e59bbbbb70e8df66ad2b7029bd39947d71d
  CHECKSUM(SHA256) upstream package : 6ae69c1dfbfc9d0c44ae80e2fbe48e59bbbbb70e8df66ad2b7029bd39947d71d


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1070230 -r -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 14 Matthias Runge 2014-03-17 20:25:57 UTC
Lars,
thank you very much for your review! I really appreciate it!

New Package SCM Request
=======================
Package Name: python-django15
Short Description: A high-level Python Web framework
Owners: mrunge
Branches: f20 el6 epel7

Comment 15 Gwyn Ciesla 2014-03-18 11:50:35 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2014-03-18 15:51:24 UTC
python-django15-1.5.5-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-django15-1.5.5-7.fc20

Comment 17 Fedora Update System 2014-03-19 08:43:47 UTC
python-django15-1.5.5-7.fc20 has been pushed to the Fedora 20 testing repository.

Comment 18 Fedora Update System 2014-04-09 01:04:06 UTC
python-django15-1.5.5-7.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.